import turtle

def koch_curve(size, depth):
    if depth == 0:
        turtle.forward(size)
    else:
        size /= 3
        koch_curve(size, depth-1)
        turtle.left(60)
        koch_curve(size, depth-1)
        turtle.right(120)
        koch_curve(size, depth-1)
        turtle.left(60)
        koch_curve(size, depth-1)

def draw_snowflake(size, depth):
    for i in range(3):
        koch_curve(size, depth)
        turtle.right(120)

turtle.speed(0)
turtle.penup()
turtle.goto(-150, 90)
turtle.pendown()
draw_snowflake(243, 4)
turtle.done()


